diff --git a/chroot_script/beagleboard.org.sh b/chroot_script/beagleboard.org.sh
index 211d60108d48ed9507634d67be936a8507bfc7a1..1881eab0ba136298aab035a35bfa387daa29c295 100755
--- a/chroot_script/beagleboard.org.sh
+++ b/chroot_script/beagleboard.org.sh
@@ -7,7 +7,7 @@ export LC_ALL=C
 chroot_node_release="v0.10.24"
 chroot_node_build_options="--without-snapshot --shared-cares --shared-openssl --shared-zlib --prefix=/usr/local/"
 
-user_name="debian"
+. /.project
 
 qemu_warning () {
 	if [ "${warn_qemu_will_fail}" ] ; then
diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index b4beea403a92326f0695815168f79b52999d8651..9c285b2dec100607010bc8eb3954812c4fa19f6a 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -711,8 +711,11 @@ fi
 if [ -n "${chroot_script}" -a -r "${DIR}/chroot_script/${chroot_script}" ] ; then
 	report_size
 	echo "Calling chroot_script script: ${chroot_script}"
+	sudo cp -v ${DIR}/.project ${tempdir}/.project
 	sudo cp -v ${DIR}/chroot_script/${chroot_script} ${tempdir}/final.sh
 	sudo chroot ${tempdir} /bin/sh final.sh
+	sudo rm -f ${tempdir}/final.sh || true
+	sudo rm -f ${tempdir}/.project || true
 	chroot_script=""
 fi